org.apache.fop.render.bitmap

## Interface BitmapRendererEventProducer

All Superinterfaces:
  EventProducer

    public interface BitmapRendererEventProducer
    extends EventProducer

Event producer interface for events generated by the bitmap renderers.

### Nested Class Summary

Nested Classes
`static class` `BitmapRendererEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `noImageWriterFound(Object source, String mime)` No ImageWriter found.
`void` `stoppingAfterFirstPageNoFilename(Object source)` No filename information available.
`void` `stoppingAfterFirstPageNoMultiWriter(Object source)` Image writer does not support multiple images.

### Method Detail

#### stoppingAfterFirstPageNoFilename

    void stoppingAfterFirstPageNoFilename(Object source)

No filename information available. Stopping early after the first page.

Parameters:
  `source` - the event source
Event.severity:
  WARN

#### stoppingAfterFirstPageNoMultiWriter

    void stoppingAfterFirstPageNoMultiWriter(Object source)

Image writer does not support multiple images. Only the first page has been produced.

Parameters:
  `source` - the event source
Event.severity:
  WARN

#### noImageWriterFound

    void noImageWriterFound(Object source,
                            String mime)
                     throws IOException

No ImageWriter found.

Parameters:
  `source` - the event source
  `mime` - the target MIME type
Throws:
  `IOException` - the I/O error provoked by the method call
Event.severity:
  FATAL